Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.bot.rss
Class RSSItem

    java.lang.Object
      org.encog.bot.rss.RSSItem

    public class RSSItem

extends Object

This is the class that holds individual RSS items, or stories, for the RSS class.

Constructor Summary
`RSSItem()`

Method Summary
`Date` | `getDate()` Get the publication date.
`String` | `getDescription()` Get the description.
`String` | `getLink()` Get the hyperlink.
`String` | `getTitle()` Get the item title.
`void` | `load(Node node)` Load an item from the specified node.
`void` | `setDate(Date theDate)` Set the publication date.
`void` | `setDescription(String theDescription)` Get the description.
`void` | `setLink(String theLink)` Set the hyperlink.
`void` | `setTitle(String theTitle)` Set the item title.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RSSItem

    public RSSItem()

Method Detail

### getDate

    public final Date getDate()

  Get the publication date.

  Returns:
    The publication date.

### getDescription

    public final String getDescription()

  Get the description.

  Returns:
    The description.

### getLink

    public final String getLink()

  Get the hyperlink.

  Returns:
    The hyperlink.

### getTitle

    public final String getTitle()

  Get the item title.

  Returns:
    The item title.

### load

    public final void load(Node node)

  Load an item from the specified node.

  Parameters:
    `node` - The Node to load the item from.

### setDate

    public final void setDate(Date theDate)

  Set the publication date.

  Parameters:
    `theDate` - The new publication date.

### setDescription

    public final void setDescription(String theDescription)

  Get the description.

  Parameters:
    `theDescription` - The new description.

### setLink

    public final void setLink(String theLink)

  Set the hyperlink.

  Parameters:
    `theLink` - The new hyperlink.

### setTitle

    public final void setTitle(String theTitle)

  Set the item title.

  Parameters:
    `theTitle` - The new item title.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.